/*
 * @author  xamidev <xamidev@riseup.net>
 * @brief   Debug serial driver
 * @license GPL-3.0-only
 */

#ifndef SERIAL_H
#define SERIAL_H

// COM1
#define PORT 0x3F8

void outb(int port, unsigned char data);
unsigned char inb(int port);

int serial_init(void);
void skputs(const char* str);
void skputc(char c);

#endif